/*
 * GUIMsg.c
 *
 * User defined callback routine example
 *
 */

//we have 38 different messages
#define KNOWN_MESSAGE_COUNT 38

//message table
char * CallBackMessages[KNOWN_MESSAGE_COUNT]=
{"Scanned good image",			//		0
"No finger detected",  			//		1
"Finger image is too light",		//		2
"Finger is too dry",			//            	3
"Finger image is too dark",		//	     	4
"Finger is too high",			//              5
"Finger is too low",			//              6
"Finger is too left",			//              7
"Finger is too right",			//              8
"Finger image is too small",		//            	9
"Finger image is too strange",		//           	10
"Finger has bad quality",		//           	11
"Put finger",				//		12
"Put finger 2nd time",			//		13
"Put finger 3rd time",			//		14
"Remove finger",			//         	15
"Consolidation failed",			//    		16
"Consolidation succeed",		//		17
"Clean the sensor",			//		18
"Keep finger on the sensor",		//          	19
"Non specific GUI start",		//              20
"GUI start for verification",		//         	21
"GUI start for enrollment",		//          	22
"GUI start for finger detection",	//   		23
"GUI finished without specification of success of biometric operation",	//24
"GUI finished signaling success of biometric operation",// 25
"GUI finished signaling failure of biometric operation",//26
"GUI start for sensor calibration",	//		27
"Finger was swiped too fast",		//		28
"Finger was too skewed during swipe",	//		29
"Finger swipe was too short",		//     		30
"Touch sensor with finger",		//  		31
"Image processing started",		//      	32
"Finger swipe is in progress",		//     		33
"Backward movement detected",		//   		34
"Finger joint detected",		//		35
"Center finger and press harder",	//		36
"Image processing finished"};		//		37

//GUI callback example
BioAPI_RETURN TextGuiCallback(void *GuiStateCallbackCtx, BioAPI_GUI_STATE GuiState, BioAPI_GUI_RESPONSE Response,
			BioAPI_GUI_MESSAGE Message, BioAPI_GUI_PROGRESS Progress, BioAPI_GUI_BITMAP_PTR Buffer)
{
    //remember previous message to display duplicate messages only once
    static unsigned char OldMessage=128;
	if(OldMessage!=Message)
	{
    	    OldMessage=Message;
    	    if(Message<KNOWN_MESSAGE_COUNT)
		printf("%s\n",CallBackMessages[Message]);
	    else
		printf("Unknown message %i\n", Message);	
	}

	return BioAPI_OK;
}
