#! /bin/sh

# Install script for UPEK BioAPI BSP on Linux
#
# Copyright 2005 UPEK, Inc.
#

UNINSTALL_FILE=uninstall.sh
DEFAULT_INSTALL_PATH=/usr/local/lib
BSP_FILE=libtfmessbsp.so
BSP_DESC="TouchChip TFM/ESS Fingerprint BSP"
BSP_CFG=/etc/tfmessbsp.cfg

FILE_CNT=0

create_uninstall()
{
#create the uninstall script
    echo "#! /bin/sh"> ${UNINSTALL_FILE}
#some echo    
    echo echo "Uninstalling ${BSP_DESC} ..." >> ${UNINSTALL_FILE}
#mod_install in -u mode must not have specified path to the file
    echo mod_install -fu ${BSP_FILE} >> ${UNINSTALL_FILE}
#remove the BSP    
    echo rm -f ${INSTALL_PATH}/${BSP_FILE} >> ${UNINSTALL_FILE}
#remove config if mossible    
    echo rm -f ${BSP_CFG} >> ${UNINSTALL_FILE}
#remove uninstall script    
    echo rm -f ${UNINSTALL_FILE} >> ${UNINSTALL_FILE}
#make the uninstall script runable    
    chmod +x ${UNINSTALL_FILE}
}

uninstall_nodule()
{
    [ -f ./uninstall.sh ] && ./uninstall.sh	    
}

install_module()
{
    echo "Installing ${BSP_DESC} ..."
    cp  ${BSP_FILE} ${INSTALL_PATH}
    mod_install -fi ${BSP_FILE}
}
#check parameter
    if [ x"$1" = x ]
	    then
		INSTALL_PATH=${DEFAULT_INSTALL_PATH}
	    else
		INSTALL_PATH=$1
	    fi
#check bioapi files	    
    [ -f ${INSTALL_PATH}/libbioapi_mds300.so ] && FILE_CNT=`expr ${FILE_CNT} + 1 `
    [ -f ${INSTALL_PATH}/libbioapi100.so     ] && FILE_CNT=`expr ${FILE_CNT} + 1 `
    [ -f ${INSTALL_PATH}/libmds_util.so      ] && FILE_CNT=`expr ${FILE_CNT} + 1 `

    if [ "$FILE_CNT" = "3" ]
	then
#BioAPI files OK
#uninstall old BSP if possible
    uninstall_nodule
#install  new module
    install_module
#create uninstall script
    create_uninstall
    exit 0
    else
    echo "Cannot find BioAPI files."
    echo "It seems ${INSTALL_PATH} is not the correct path."
    echo "Try again ./install <BioAPI install path (default is /usr/local/lib)>"
    exit 2
    fi